Bug 269981 - Firefox crashes with glibc error
Firefox crashes with glibc error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
8
x86_64 All
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 21:35 EDT by Carl Preddy
Modified: 2014-06-18 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:52:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Capture of messages written to terminal immediately after opening the Preferences box (3.95 KB, text/plain)
2007-08-30 21:35 EDT, Carl Preddy
no flags Details

  None (edit)
Description Carl Preddy 2007-08-30 21:35:22 EDT
Description of problem:
Have f8test1 on AMD64 under VMWare as pristine and current as I can make it.
Firefox and other apps are not very stable

Version-Release number of selected component (if applicable):
glibc-2.6.90-13 , both i686 and x64_64 versions
Firefox 2.0.0.6

How reproducible:very

Steps to Reproduce:
1.Start firefox
2.Select File/Preferences
3.You are done  
Actual results:
A an empty transparent frame appears. The app no longer responds; X-close gives
the "Force Quit" dialog. An error message dump implicating glibc is sent to the
terminal. A copy is attached

Expected results: no crash

Additional info:
FF will also not properly launch a download to the file-roller; similar behavior
with empty dialog and freeze. Can't get flash-player plug-in to be recognized.
Comment 1 Carl Preddy 2007-08-30 21:35:22 EDT
Created attachment 182361 [details]
Capture of messages written to terminal immediately after opening the Preferences box
Comment 2 Jakub Jelinek 2007-08-31 02:55:28 EDT
That's not a glibc error, but an error in the application glibc reported.
You can run the program under valgrind to get better understanding of what
exact problems does it have and where.
Comment 3 Carl Preddy 2007-09-02 11:11:54 EDT
I tried valgrind but it does nothing useful here. I happened upon another report
of the same problem, https://bugzilla.redhat.com/show_bug.cgi?id=245444
The conclusion was that it was caused by a non-supported desktop theme. I had
switched to the one called Crux that came with the system. When I switch back to
Bluecurve the problem goes away. Clearlooks also works. Perhaps this should be
assigned to the maintainer of themes? 
Comment 4 Matěj Cepl 2007-12-05 09:52:27 EST
OK, reassigning to metacity folks. Is it yours?
Comment 5 Bug Zapper 2008-11-26 02:44:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-08 23:52:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.